[package]
name = "snow_trail_sdl"
version = "0.1.0"
edition = "2021"

[dependencies]
sdl3 = { version = "0.17", features = ["raw-window-handle"] }
sdl3-sys = "0.6"
dear-imgui-rs = "0.10"
dear-imgui-wgpu = "0.10"
dear-imgui-sdl3 = "0.10"
wgpu = "28"
pollster = "0.3"
glam = "0.30"
anyhow = "1.0"
rapier3d = "0.31"
bytemuck = { version = "1.14", features = ["derive"] }
gltf = { version = "1.4", features = ["KHR_lights_punctual", "extras"] }
image = { version = "0.25", default-features = false, features = ["png"] }
exr = "1.72"
kurbo = "0.11"
nalgebra = { version = "0.34.1", features = ["convert-glam030"] }
serde_json = "1.0"
bladeink = "1.2"
wesl = "0.2"
ab_glyph = "0.2"
rand = "0.9"

[build-dependencies]
wesl = "0.2"
